Page MenuHomePhabricator

A resolved, blocking, restricted task is not shown struck out but marked as resolved in the log
Closed, DeclinedPublic

Description

A resolved task, that is not visible to me and thus show up as "Restricted task", is, when added as blocking task (probably also for blocked ones) to another, not shown struck out in in task details.
Example: on T85909 there are two blocking tasks, T 86555 and a restricted task. Below in the comments/log there is "RobH closed blocking task Restricted Task as "Resolved".". The restricted task is still shown as normal and not struck out like other visible tasks are.
(I'm assuming the task was not reopened in the meantime, but I can't check that)

See also: T90833: Private tasks should have a placeholder on the workboard

Event Timeline

Se4598 created this task.Feb 20 2015, 5:39 PM
Se4598 raised the priority of this task from to Needs Triage.
Se4598 updated the task description. (Show Details)
Se4598 added a project: Phabricator (Upstream).
Se4598 added subscribers: Se4598, csteipp.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 5:39 PM
Aklapper triaged this task as Lowest priority.Feb 20 2015, 5:55 PM

I don't consider this a valid bug.
Exposing information about the status of that task (e.g. was closed, got reopened) might be considered leaking...

Qgil updated the task description. (Show Details)Mar 2 2015, 9:37 AM
Qgil set Security to None.
Qgil added a subscriber: Qgil.Mar 12 2015, 1:34 PM

Also, at least in the case of security bugs, tasks completed are supposed to become public.

I don't have a strong opinion, but I also think that there is nothing wrong in the current behavior.

Qgil closed this task as Declined.Apr 20 2015, 7:33 AM
Qgil claimed this task.

Declined as per comments above.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM